{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }

        .tdx{
            max-width: 400px;
            word-wrap: break-word;
            
        }
        .select2-container {
                z-index: 10000;
            }
            .select2-search__field {
    width: 100% !important;
}
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Data Perumahan</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}
    <div class="d-flex">
        <div class="flex-fill"> 
            <button type="button"  class="btn btn-primary mt-2 mb-4" data-toggle="modal" data-target="#tambahpemerintah"><i class="bi bi-pencil"></i> Tambah Data Perumahan</button>
        </div>
        <div class="flex-fill-right">
            <button type="button"  class="btn btn-danger mt-2 mb-4" data-toggle="modal" data-target="#arsip_datapu"><i class="bi bi-trash"></i> Data Perumahan Diarsipkan</button>
        </div>
    </div>     
   
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between bg-gradient-primary">
            <h6 class="m-0 font-weight-bold text-white"><i class="fa fa-list"></i> Data Perumahan</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <table class="table table-striped table-bordered dt-responsive" id="table-list">
                <thead class="bg-primary text-white">
                    <tr>
                        <th scope="col" class="text-center">No</th>
                        <th>Wilayah</th>
                        <th>Jumlah Rumah</th>
                        <th>Bukti Rumah</th>
                        <th>Bukti Jamban</th>
                        <th scope="col" class="text-center">Aksi</th>
                    </tr>
                </thead>
                <tbody>
                    {% for item_perumahan in dt_perumahan_list %}
                        <tr>
                                <td>{{forloop.counter}}</td>
                                <td class="tdx">{{item_perumahan.kampung.distrik.title}}-{{item_perumahan.kampung.titles}} <br> {{item_perumahan.create_date}} </td>
                              
                            
                                <td>
                                    <ul>
                                        <li>Rumah layak Huni : <b>{{item_perumahan.jml_rumah_layak_huni}}</b> Unit</li>
                                        <li>Rumah tidak layak Huni : <b>{{item_perumahan.jml_rumah_tdk_layak_huni}}</b> Unit</li>
                                        <li>Rumah semi permanen : <b>{{item_perumahan.jml_rumah_semi_permanen}}</b> Unit</li>
                                        <li>Rumah Permanen : <b>{{item_perumahan.jml_rumah_permanen}}</b> Unit</li>
                                        <li>total Rumah : <b>{{item_perumahan.jml_total_rumah}}</b> Unit</li>
                                      </ul>
                                </td>
                                <td>
                                    <div class="d-flex text-center">
                                        <div class="flex-fill">
                                            <img src="{{item_perumahan.foto_rumah_semi_permanen.url}}" width="100">
                                            <br><br>
                                            <h6>Bukti Rumah Semi Permanen</h6>
                                        </div>
                                        <div class="flex-fill">
                                            <img src="{{item_perumahan.foto_rumah_permanen.url}}" width="100">
                                            <br><br>
                                            <h6>Bukti Rumah Permanen</h6>
                                        </div>
                                    </div>
                                </td>
                                <td>
                                    <div class="d-flex">
                                        <div class="flex-fill text-center">
                                            <img src="{{item_perumahan.foto_jamban_rumah.url}}" width="100">
                                            <br><br>
                                            <h6>Bukti Jamban Rumah</h6>
                                        </div>
                                        <div class="flex-fill">
                                            <img src="{{item_perumahan.foto_jamban_umum.url}}" width="100">
                                            <br><br>
                                            <h6>Bukti Jamban Umum</h6>
                                        </div>
                                    </div>
                                </td>
                               
                                <td>
                                    <div class="d-flex align-items-center justify-content-center px-3 py-2 mt-2">
                                        

                                        <button class="btn btn-success btn-circle mr-3 mb-2" data-toggle="modal" data-target="#editperumahan-{{item_perumahan.id}}"><span class="fa fa-edit"></span></button>
                                        <div class="modal fade " id="editperumahan-{{item_perumahan.id}}"  role="dialog" aria-labelledby="editperumahan-{{item_perumahan.id}}" aria-hidden="true">
                                            <div class="modal-dialog modal-xl" role="document">
                                                <div class="modal-content ">
                                                    <div class="modal-header bg-gradient-primary text-white">
                                                        <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Edit Data Perumahan</h5>
                                                        <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                                                        
                                                    </div>
                                                    <div class="modal-body">
                                                        <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_perumahan_edit' item_perumahan.id %}">
                                                                {% csrf_token %}
                                                                <div class="row no-gutters align-items-center">
                                                                    <div class="col-md-5">  
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                               Wilayah
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                                                                <option value="">Kampung/Distrik</option>
                                                                                {% for data_kampung in datakampung_list %}
                                                                                    <option value="{{ data_kampung.id }}" {% if data_kampung.id == item_perumahan.kampung_id %}selected{% endif %}>
                                                                                        {{ data_kampung.distrik.title }}-{{ data_kampung.titles }}
                                                                                    </option>
                                                                                {% endfor %}    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-4">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Penanggungjawab
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="penanggungjawab" class="form-control" required>
                                                                                <option value="">Pilih Penanggungjawab</option>
                                                                                {% for datajawab in penanggungjawab %}
                                                                                    <option value="{{datajawab.id}}" {% if datajawab.id == item_perumahan.penanggungjawab_id %}selected{% endif %}>{{datajawab.nama}}</option>
                                                                                {% endfor %}
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                    <div class="col-md-3">
                                                                        <div class="col mr-2">
                                                                            <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                                                                Tahun
                                                                            </div>
                                                                        </div>
                                                                        <div class="col-auto">
                                                                            <select name="tahun"  class="form-control" required>
                                                                                <option value="{{item_perumahan.tahun}}" {% if tahun == item_perumahan.tahun %}selected{% endif %}>{{item_perumahan.tahun}}</option>
                                                                                <option value="">Pilih Tahun</option>
                                                                                <option value="2020">2020</option>    
                                                                                <option value="2021">2021</option>    
                                                                                <option value="2022">2022</option>    
                                                                                <option value="2023">2023</option>    
                                                                                <option value="2024">2024</option>    
                                                                            </select>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="card border-bottom-info shadow h-100 py-2">
                                                                    <div class="card-header bg-primary text-white"><span class="fa fa-home"></span> Isi Detail Data Perumahan</div>
                                                                    <div class="card-body">
                                                                        <div class="row">
                                                                            <div class="col-md-3">
                                                                                Jumlah rumah tangga penerima penyediaan Rumah layak Huni
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="jml_rumah_layak_huni" value="{{item_perumahan.jml_rumah_layak_huni}}"
                                                                                                    >
                                                                            </div>
                                                                            <div class="col-md-3">
                                                                                Jumlah rumah tidak layak Huni
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="jml_rumah_tdk_layak_huni" value="{{item_perumahan.jml_rumah_tdk_layak_huni}}"
                                                                                >
                                                                            </div>
                                                                        </div>
                                                                        <hr>
                                                                        <div class="row">
                                                                            <div class="col-md-2">
                                                                                jumlah rumah semi permanen
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="jml_rumah_semi_permanen" value="{{item_perumahan.jml_rumah_semi_permanen}}"
                                                                                                    >
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                                Jumlah rumah Permanen
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="jml_rumah_permanen"  value="{{item_perumahan.jml_rumah_permanen}}"
                                                                                >
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                                Total Rumah
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="jml_total_rumah" value="{{item_perumahan.jml_total_rumah}}"
                                                                                >
                                                                            </div>
                                                                        </div>
                                                                        <hr>
                                                                        <div class="row">
                                                                            <div class="col-md-4">
                                                                                <span class="fa fa-images"></span> Upload Bukti Rumah semi permanen
                                                                                <img src="{{item_perumahan.foto_rumah_semi_permanen.url}}" width="100">
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <input type="file"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="foto_rumah_semi_permanen"  value="{{item_perumahan.foto_rumah_semi_permanen}}"
                                                                                                    >
                                                                            </div>
                                                                        </div>
                                                                        <div class="row">
                                                                            <div class="col-md-4">
                                                                                <span class="fa fa-images"></span> Upload Bukti Rumah Permanen
                                                                                <img src="{{item_perumahan.foto_rumah_permanen.url}}" width="100">
                                                                            </div>
                                                                            <div class="col-md-4">
                                                                                <input type="file"  placeholder=""
                                                                                class="form-control"
                                                                                name="foto_rumah_permanen" value="{{item_perumahan.foto_rumah_permanen}}"
                                                                                >
                                                                            </div>
                                                                        </div>
                                                                        <hr>
                                                                        <h6><b><span class="fa fa-list"></span> LANTAI RUMAH</b> </h6>
                                                                        <hr>
                                                                        <div class="row">
                                                                            <div class="col-md-3">
                                                                                Lantai rumah dari tanah
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="lantai_tanah" value="{{item_perumahan.lantai_tanah}}"
                                                                                >
                                                                            </div>
                                                                            <div class="col-md-3">
                                                                                lantai rumah dari Kayu
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="lantai_kayu" value="{{item_perumahan.lantai_kayu}}"
                                                                                >
                                                                            </div>
                                                                            <div class="col-md-3">
                                                                                Lantai rumah dari semen
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="lantai_semen" value="{{item_perumahan.lantai_semen}}"
                                                                                >
                                                                            </div>
                                                                            <div class="col-md-3">
                                                                                Lantai rumah dari keramik
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="lantai_keramik" value="{{item_perumahan.lantai_keramik}}"
                                                                                >
                                                                            </div>
                                                                        </div>
                                                                        <hr>
                                                                        <h6><b><span class="fa fa-list"></span> DINDING RUMAH</b> </h6>
                                                                        <hr>
                                                                        <div class="row">
                                                                            <div class="col-md-3">
                                                                                Terbuat dari Kayu
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="dinding_kayu" value="{{item_perumahan.dinding_kayu}}"
                                                                                >
                                                                            </div>
                                                                            <div class="col-md-3">
                                                                                Terbuat dari batu dan semen
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="dinding_semen" value="{{item_perumahan.dinding_semen}}"
                                                                                >
                                                                            </div>
                                                                            <div class="col-md-3">
                                                                                terbuat dari anyaman daun
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="dinding_anyaman" value="{{item_perumahan.dinding_anyaman}}"
                                                                                >
                                                                            </div>
                                                                        </div>
                                                                        <hr>
                                                                        <h6><b><span class="fa fa-list"></span> ATAP RUMAH</b> </h6>
                                                                        <hr>
                                                                        <div class="row">
                                                                            <div class="col-md-3">
                                                                                Terbuat dari Kayu
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="atap_seng" value="{{item_perumahan.atap_seng}}"
                                                                                >
                                                                            </div>
                                                                            <div class="col-md-3">
                                                                                Terbuat dari batu dan semen
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="atap_daun"  value="{{item_perumahan.atap_daun}}"
                                                                                >
                                                                            </div>
                                                                        </div>
                                                                        <hr>
                                                                        <h6><b><span class="fa fa-list"></span> SUMBER AIR RUMAH</b> </h6>
                                                                        <hr>
                                                                        <div class="row">
                                                                            <div class="col-md-3">
                                                                                Rumah tangga yang menggunakan sumur gali Pribadi
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="sumur_gali_pribadi" value="{{item_perumahan.sumur_gali_pribadi}}"
                                                                                >
                                                                            </div>
                                                                            <div class="col-md-3">
                                                                                Rumah tangga yang menggunakan sumur Umum
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="sumur_umum" value="{{item_perumahan.sumur_umum}}"
                                                                                >
                                                                            </div>
                                                                            <div class="col-md-3">
                                                                                Rumah tangga yang menggunakan SPAM
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="spam" value="{{item_perumahan.spam}}"
                                                                                >
                                                                            </div>
                                                                            <div class="col-md-3">
                                                                                Rumah tangga yang menggunakan air sungai, mata air, kali
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="air_sungai" value="{{item_perumahan.air_sungai}}"
                                                                                >
                                                                            </div>
                                                                        </div>
                                                                        <hr>
                                                                        <h6><span class="fa fa-list"></span><b> Jamban</b></h6>
                                                                        <div class="row">
                                                                            <div class="col-md-4">
                                                                                Jumlah jamban yang digunakan rumah tangga
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="jamban_rumah" value="{{item_perumahan.jamban_rumah}}"
                                                                                                    >
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                               <span class="fa fa-images"></span> Upload Bukti
                                                                               <img src="{{item_perumahan.foto_jamban_rumah.url}}" width="100">
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                                <input type="file"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="foto_jamban_rumah"  value="{{item_perumahan.foto_jamban_rumah}}"
                                                                                                    >
                                                                            </div>
                                                                        </div>
                                                                        <br>
                                                                        <div class="row">
                                                                            <div class="col-md-4">
                                                                                Jumlah jamban Umum
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                                <input type="number"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="jamban_umum" value="{{item_perumahan.jamban_umum}}"
                                                                                                    >
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                               <span class="fa fa-images"></span> Upload Bukti
                                                                               <img src="{{item_perumahan.foto_jamban_umum.url}}" width="100">
                                                                            </div>
                                                                            <div class="col-md-2">
                                                                                <input type="file"  placeholder=""
                                                                                                    class="form-control"
                                                                                                    name="foto_jamban_umum" value="{{item_perumahan.foto_jamban_umum}}"
                                                                                                    >
                                                                            </div>
                                                                        </div>
                                                                        <hr>
                                                                        <h6><b><span class="fa fa-list"></span> PENERANGAN</b></h6>
                                                                        <div class="row">
                                    
                                                                            <div class="col-md-4">Rumah tangga yang bisa mengakses listrik</div>
                                                                            <div class="col-md-2">
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="rumah_listrik"  value="{{item_perumahan.rumah_listrik}}"
                                                                                >
                                                                            </div>
                                                                            <div class="col-md-3">sumber penerangan lain</div>
                                                                            <div class="col-md-2">
                                                                                <input type="number"  placeholder=""
                                                                                class="form-control"
                                                                                name="penerangan_lain" value="{{item_perumahan.penerangan_lain}}"
                                                                                >
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                               </div>
                                                                
                                                            <div class="modal-footer align-items-center">
                                                                <button class="btn btn-success" type="submit"><i class="fa fa-pencil"></i> Ubah</button>
                                                                <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                                                            </div>
                                                        </form>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>



                                        <a href="#" class="btn btn-danger btn-circle mr-3 mb-2" 
                                        onclick="delete_('soft_delete', `{{ item_perumahan.kampung.titles }}`, '{{ item_perumahan.id }}')"
                                        data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </a>
                                    </div>
                                </td>
                        </tr>
                   {% endfor %}
                </tbody>
            </table>
        </div>
    </div>

    <div class="modal fade " id="tambahpemerintah"  role="dialog" aria-labelledby="tambahpemerintah" aria-hidden="true">
        <div class="modal-dialog modal-xl" role="document">
            <div class="modal-content ">
                <div class="modal-header bg-gradient-primary text-white">
                    <h5 class="modal-title" id="arsip_perikanan"><i class="fa fa-pencil"></i> Input Data Perumahan</h5>
                    <button class="close" type="button" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">×</span></button>
                </div>
                <div class="modal-body">
                    <form method ='post' enctype ="multipart/form-data" action="{% url 'profile:admin_perumahan_create' %}">
                            {% csrf_token %}
                            <div class="row no-gutters align-items-center">
                                <div class="col-md-5">  
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                           Wilayah
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="kampung" id="mySelect2" class="form-control list_wilayah select2" required>
                                            <option value="">Kampung/Distrik</option>
                                            {% for data_kampung in  datakampung_list %}
                                                <option value="{{data_kampung.id}}">{{data_kampung.distrik.title}}-{{data_kampung.titles}}</option>
                                            {% endfor %}    
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            Penanggungjawab
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="penanggungjawab" class="form-control" required>
                                            <option value="">Pilih Penanggungjawab</option>
                                            {% for datajawab in penanggungjawab %}
                                                <option value="{{datajawab.id}}">{{datajawab.nama}}</option>
                                            {% endfor %}
                                        </select>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="col mr-2">
                                        <div class="text-xs font-weight-bold text-primary text-uppercase mb-1">
                                            Tahun
                                        </div>
                                    </div>
                                    <div class="col-auto">
                                        <select name="tahun"  class="form-control" required>
                                            <option value="">Pilih Tahun</option>
                                            <option value="2020">2020</option>    
                                            <option value="2021">2021</option>    
                                            <option value="2022">2022</option>    
                                            <option value="2023">2023</option>    
                                            <option value="2024">2024</option>    
                                        </select>
                                    </div>
                                </div>
                            </div>
                            <hr>
                           <div class="card border-bottom-info shadow h-100 py-2">
                                <div class="card-header bg-primary text-white"><span class="fa fa-home"></span> Isi Detail Data Perumahan</div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-3">
                                            Jumlah rumah tangga penerima penyediaan Rumah layak Huni
                                        </div>
                                        <div class="col-md-2">
                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="jml_rumah_layak_huni"
                                                                required>
                                        </div>
                                        <div class="col-md-3">
                                            Jumlah rumah tidak layak Huni
                                        </div>
                                        <div class="col-md-2">
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="jml_rumah_tdk_layak_huni"
                                            required>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-2">
                                            jumlah rumah semi permanen
                                        </div>
                                        <div class="col-md-2">
                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="jml_rumah_semi_permanen"
                                                                required>
                                        </div>
                                        <div class="col-md-2">
                                            Jumlah rumah Permanen
                                        </div>
                                        <div class="col-md-2">
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="jml_rumah_permanen"
                                            required>
                                        </div>
                                        <div class="col-md-2">
                                            Total Rumah
                                        </div>
                                        <div class="col-md-2">
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="jml_total_rumah"
                                            required>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <span class="fa fa-images"></span> Upload Bukti Rumah semi permanen
                                        </div>
                                        <div class="col-md-4">
                                            <input type="file"  placeholder=""
                                                                class="form-control"
                                                                name="foto_rumah_semi_permanen"
                                                                required>
                                        </div>
                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <span class="fa fa-images"></span> Upload Bukti Rumah Permanen
                                        </div>
                                        <div class="col-md-4">
                                            <input type="file"  placeholder=""
                                            class="form-control"
                                            name="foto_rumah_permanen"
                                            required>
                                        </div>
                                    </div>
                                    <hr>
                                    <h6><b><span class="fa fa-list"></span> LANTAI RUMAH</b> </h6>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-3">
                                            Lantai rumah dari tanah
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="lantai_tanah"
                                            required>
                                        </div>
                                        <div class="col-md-3">
                                            lantai rumah dari Kayu
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="lantai_kayu"
                                            required>
                                        </div>
                                        <div class="col-md-3">
                                            Lantai rumah dari semen
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="lantai_semen"
                                            required>
                                        </div>
                                        <div class="col-md-3">
                                            Lantai rumah dari keramik
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="lantai_keramik"
                                            required>
                                        </div>
                                    </div>
                                    <hr>
                                    <h6><b><span class="fa fa-list"></span> DINDING RUMAH</b> </h6>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-3">
                                            Terbuat dari Kayu
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="dinding_kayu"
                                            required>
                                        </div>
                                        <div class="col-md-3">
                                            Terbuat dari batu dan semen
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="dinding_semen"
                                            required>
                                        </div>
                                        <div class="col-md-3">
                                            terbuat dari anyaman daun
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="dinding_anyaman"
                                            required>
                                        </div>
                                    </div>
                                    <hr>
                                    <h6><b><span class="fa fa-list"></span> ATAP RUMAH</b> </h6>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-3">
                                            Terbuat dari Kayu
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="atap_seng"
                                            required>
                                        </div>
                                        <div class="col-md-3">
                                            Terbuat dari batu dan semen
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="atap_daun"
                                            required>
                                        </div>
                                    </div>
                                    <hr>
                                    <h6><b><span class="fa fa-list"></span> SUMBER AIR RUMAH</b> </h6>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-3">
                                            Rumah tangga yang menggunakan sumur gali Pribadi
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="sumur_gali_pribadi"
                                            required>
                                        </div>
                                        <div class="col-md-3">
                                            Rumah tangga yang menggunakan sumur Umum
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="sumur_umum"
                                            required>
                                        </div>
                                        <div class="col-md-3">
                                            Rumah tangga yang menggunakan SPAM
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="spam"
                                            required>
                                        </div>
                                        <div class="col-md-3">
                                            Rumah tangga yang menggunakan air sungai, mata air, kali
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="air_sungai"
                                            required>
                                        </div>
                                    </div>
                                    <hr>
                                    <h6><span class="fa fa-list"></span><b> Jamban</b></h6>
                                    <div class="row">
                                        <div class="col-md-4">
                                            Jumlah jamban yang digunakan rumah tangga
                                        </div>
                                        <div class="col-md-2">
                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="jamban_rumah"
                                                                required>
                                        </div>
                                        <div class="col-md-2">
                                           <span class="fa fa-images"></span> Upload Bukti
                                        </div>
                                        <div class="col-md-2">
                                            <input type="file"  placeholder=""
                                                                class="form-control"
                                                                name="foto_jamban_rumah"
                                                                required>
                                        </div>
                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-4">
                                            Jumlah jamban Umum
                                        </div>
                                        <div class="col-md-2">
                                            <input type="number"  placeholder=""
                                                                class="form-control"
                                                                name="jamban_umum"
                                                                required>
                                        </div>
                                        <div class="col-md-2">
                                           <span class="fa fa-images"></span> Upload Bukti
                                        </div>
                                        <div class="col-md-2">
                                            <input type="file"  placeholder=""
                                                                class="form-control"
                                                                name="foto_jamban_umum"
                                                                required>
                                        </div>
                                    </div>
                                    <hr>
                                    <h6><b><span class="fa fa-list"></span> PENERANGAN</b></h6>
                                    <div class="row">

                                        <div class="col-md-4">Rumah tangga yang bisa mengakses listrik</div>
                                        <div class="col-md-2">
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="rumah_listrik"
                                            required>
                                        </div>
                                        <div class="col-md-3">sumber penerangan lain</div>
                                        <div class="col-md-2">
                                            <input type="number"  placeholder=""
                                            class="form-control"
                                            name="penerangan_lain"
                                            required>
                                        </div>
                                    </div>
                                </div>
                           </div>
                            
                        <div class="modal-footer">
                            <button class="btn btn-primary" type="submit"><i class="fa fa-save"></i> Simpan</button>
                            <button class="btn btn-danger" type="button" data-dismiss="modal"><i class="fa fa-times"></i> Tutup</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>


    {% include 'profile/admin/perumahan/arsip.html' %}
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
       
        $('#tambahpemerintah').on('shown.bs.modal', function () {
            $('#mySelect2').select2({
                theme: 'classic select2-bootstrap4-theme',
            });
        });
   
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/perumahan/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Distrik berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/perumahan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Distrik gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/perumahan/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/perumahan/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            
    </script>
{% endblock scripts_bawah %}